Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2693403003: Remove the 10 second delay before user input generates engagement. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by dominickn
Modified:
5 months, 3 weeks ago
Reviewers:
benwells
CC:
chromium-reviews, dominickn+watch_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove the 10 second delay before user input generates engagement. The site engagement service currently waits 10 seconds after navigation completes before allowing user input to generate engagement. This reduces the predictability of the service. Engagement also decays much more quickly now, meaning that the additional engagement earned when removing the 10 second wait is negligible. This CL instead allows engagement to be earned from the moment that the page finishes loading. BUG=692878 Review-Url: https://codereview.chromium.org/2693403003 Cr-Commit-Position: refs/heads/master@{#451942} Committed: https://chromium.googlesource.com/chromium/src/+/5ae55b8c8ed39e3a1019afba988b5df208f53420

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -10 lines) Patch
M chrome/browser/engagement/site_engagement_helper.h View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/engagement/site_engagement_helper.cc View 3 chunks +1 line, -9 lines 0 comments Download
Trybot results:  linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_rel_ng   ios-device-xcode-clang   android_compile_dbg   win_chromium_rel_ng   android_arm64_dbg_recipe   android_n5x_swarming_rel   ios-device   linux_android_rel_ng   android_cronet   mac_chromium_rel_ng   win_chromium_x64_rel_ng   cast_shell_android   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   win_chromium_compile_dbg_ng   win_clang   android_clang_dbg_recipe   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   linux_android_rel_ng   ios-device   ios-device-xcode-clang   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux 
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (11 generated)
dominickn
PTAL, thanks! This could be done slightly more efficiently by removing the post tasking or ...
5 months, 3 weeks ago (2017-02-21 03:06:36 UTC) #6
benwells
On 2017/02/21 03:06:36, dominickn wrote: > PTAL, thanks! > > This could be done slightly ...
5 months, 3 weeks ago (2017-02-21 03:13:27 UTC) #7
benwells
lgtm
5 months, 3 weeks ago (2017-02-22 00:39:22 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693403003/1
5 months, 3 weeks ago (2017-02-22 00:43:23 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_amd64-generic_chromium_compile_only_ng on ...
5 months, 3 weeks ago (2017-02-22 02:46:25 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2693403003/1
5 months, 3 weeks ago (2017-02-22 03:39:37 UTC) #15
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/5ae55b8c8ed39e3a1019afba988b5df208f53420
5 months, 3 weeks ago (2017-02-22 09:00:41 UTC) #18
dominickn
4 months, 2 weeks ago (2017-04-03 02:41:17 UTC) #19
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/2793863002/ by dominickn@chromium.org.

The reason for reverting is: This caused a perf regression (crbug.com/699749).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b